gstreamermm: Gst::TunerChannel Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::TunerChannel Class Reference

A channel from an element implementing the Gst::Tuner interface. More...

Inheritance diagram for Gst::TunerChannel:
[legend]
Collaboration diagram for Gst::TunerChannel:
[legend]

List of all members.

## Public Member Functions
virtual | ~TunerChannel ()
GstTunerChannel* | gobj ()
| Provides access to the underlying C GObject.
const GstTunerChannel* | gobj () const
| Provides access to the underlying C GObject.
GstTunerChannel* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_label () const
| Get a string containing a descriptive name for this channel.
TunerChannelFlags | get_flags () const
| Get a set of Gst::TunerChannelFlags for this channel.
float | get_freq_multiplicator () const
| Get the step size (in Hz) for the frequency setting.
gulong | get_min_frequency () const
| Get the minimum valid frequency setting (in Hz).
gulong | get_max_frequency () const
| Get the maximum valid frequency setting (in Hz).
int | get_min_signal () const
| Get the minimum reported signal strength value.
int | get_max_signal () const
| Get the maximum reported signal strength value.
Glib::SignalProxy1< void, gulong > | signal_frequency_changed ()
Glib::SignalProxy1< void, int > | signal_signal_changed ()
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
## Protected Member Functions
virtual void | on_frequency_changed (gulong frequency)
| This is a default handler for the signal signal_frequency_changed().
virtual void | on_signal_changed (int signal)
| This is a default handler for the signal signal_signal_changed().
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::TunerChannel > | wrap (GstTunerChannel* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A channel from an element implementing the Gst::Tuner interface.

The Gst::TunerChannel object is provided by an element implementing the Gst::Tuner interface.

Gst::TunerChannel provides a name and flags to determine the type and capabilities of the channel. If the Gst::TUNER_CHANNEL_FREQUENCY flag is set, then the channel also information about the minimum and maximum frequency, and range of the reported signal strength.

## Constructor & Destructor Documentation

virtual Gst::TunerChannel::~TunerChannel | ( |  | ) | `[virtual]`

## Member Function Documentation

TunerChannelFlags Gst::TunerChannel::get_flags | ( |  | ) | const

Get a set of Gst::TunerChannelFlags for this channel.

float Gst::TunerChannel::get_freq_multiplicator | ( |  | ) | const

Get the step size (in Hz) for the frequency setting.

Glib::ustring Gst::TunerChannel::get_label | ( |  | ) | const

Get a string containing a descriptive name for this channel.

gulong Gst::TunerChannel::get_max_frequency | ( |  | ) | const

Get the maximum valid frequency setting (in Hz).

int Gst::TunerChannel::get_max_signal | ( |  | ) | const

Get the maximum reported signal strength value.

gulong Gst::TunerChannel::get_min_frequency | ( |  | ) | const

Get the minimum valid frequency setting (in Hz).

int Gst::TunerChannel::get_min_signal | ( |  | ) | const

Get the minimum reported signal strength value.

static GType Gst::TunerChannel::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

GstTunerChannel* Gst::TunerChannel::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const GstTunerChannel* Gst::TunerChannel::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GstTunerChannel* Gst::TunerChannel::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

virtual void Gst::TunerChannel::on_frequency_changed | ( | gulong | frequency | ) | `[protected, virtual]`

This is a default handler for the signal signal_frequency_changed().

virtual void Gst::TunerChannel::on_signal_changed | ( | int | signal | ) | `[protected, virtual]`

This is a default handler for the signal signal_signal_changed().

Glib::SignalProxy1< void,gulong > Gst::TunerChannel::signal_frequency_changed | ( |  | ) |

Slot Prototype:
  `void on_my_frequency_changed(gulong frequency)`

Reports that the current frequency has changed.

Parameters:

  frequency | The new frequency (an unsigned long).

Glib::SignalProxy1< void,int > Gst::TunerChannel::signal_signal_changed | ( |  | ) |

Slot Prototype:
  `void on_my_signal_changed(int signal)`

Reports that the signal strength has changed.

See Also: Gst::Tuner::signal_strength()

Parameters:

  signal | The new signal strength (an integer).

## Friends And Related Function Documentation

Glib::RefPtr< Gst::TunerChannel > wrap | ( | GstTunerChannel * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/tunerchannel.h